Issue 24557 - UI: Ruler and layout disagree when page border has a spacing to contents
Summary: UI: Ruler and layout disagree when page border has a spacing to contents
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: ui (show other issues)
Version: 680m20
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: stefan.baltzer
QA Contact: issues@sw
URL:
Keywords:
Depends on:
Blocks: 24003
  Show dependency tree
 
Reported: 2004-01-19 13:29 UTC by caolanm
Modified: 2013-08-07 14:41 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
example .sxw (5.50 KB, application/vnd.sun.xml.writer)
2004-01-19 13:30 UTC, caolanm
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description caolanm 2004-01-19 13:29:55 UTC
See to be attached .sxw, the ruler and layout disagree on where position "0" is
placed when there is a page border around a page with a "spacing to contents"
set. Who is right ? The layout I guess ?
Comment 1 caolanm 2004-01-19 13:30:17 UTC
Created attachment 12569 [details]
example .sxw
Comment 2 caolanm 2004-01-19 13:32:08 UTC
set target
Comment 3 Oliver Specht 2004-01-20 08:25:45 UTC
The ruler ignores the border distance. This currently works in frames only.
Comment 4 stefan.baltzer 2004-02-02 13:22:02 UTC
SBA: I closed the internal duplicate #114835#.
Comment 5 Oliver Specht 2004-02-27 10:33:52 UTC
Fixed in sw/source/ui/uiview/viewtab.cxx viewport.cxx
Comment 6 Oliver Specht 2004-03-03 10:01:36 UTC
cws os28 can be found on so-cwsserv01, wntmsci8 and unxlngi5.pro
Comment 7 michael.ruess 2004-03-10 15:40:15 UTC
Checked fix in CWS os28.
Comment 8 michael.ruess 2004-03-10 15:40:54 UTC
Verified.
Comment 9 stefan.baltzer 2004-04-25 00:11:12 UTC
SBA: OK in 680m34. Closed.
Comment 10 traut 2010-10-18 16:13:31 UTC
Has this been reverted again?

The example showed the tabs set at 1 cm, which are used properly.

However, the ruler still shows the spacing offset. The example takes 0.5 cm.
Thus the 1 cm tab is shown at ruler position 1.5 cm.

I don't know what has been fixed here, but the ruler's behavior still looks
broken to me.